@echo *****************************************************************************
@echo *                                                                           *
@echo *      In order to configure your server appropriately based on your        *
@echo *      needs, change 'LAN' below in the command line to one of these        *
@echo *      available server modes:                                              *
@echo *                                                                           *
@echo *      LAN - Use this for a normal lan server over an internal network.     *
@echo *            This server will be listed in the LAN server browser.          *
@echo *                                                                           *
@echo *      GLOBAL - Use this for a normal global server over the worldwide      *
@echo *               internet. This server will be listed in the INTERNET        *
@echo *               server browser.                                             *
@echo *                                                                           *
@echo *      LANTOURNAMENT - Use this for a normal lan server running in          *
@echo *                      Tournament Mode. This tournament will be             *
@echo *                      listed in the LAN server browser.                    *
@echo *                                                                           *
@echo *      TOURNAMENT - Use this for a normal global server running in          *
@echo *                   Tournament Mode. This tournament will be listed         *
@echo *                   in the INTERNET server browser.                         *
@echo *                                                                           *
@echo *                                                                           *
@echo *      If you are behind a firewall - you need to have the following        *
@echo *      ports open:                                                          *
@echo *                                                                           *
@echo *      UDP - 1716, 1717, 1718, 8777, 27900                                  *
@echo *      TCP - 20045, 20046                                                   *
@echo *                                                                           *
@echo *      UDP ports 1716 for the game, 1717 for the gamequery,                 *
@echo *      1718 for the master server query, 8777 for the standard UT query,    *
@echo *      27900 for GameSpy and TCP ports 20045, 20046 for the Auth server.    *
@echo *                                                                           *
@echo *      NOTE: 'GLOBAL' and 'TOURNAMENT' servers must be registered in        *
@echo *             order to have authorization working on your server.           *
@echo *                                                                           *
@echo *            Register your server here:                                     *
@echo *            http://login.americasarmy.com/login.php  			  *
@echo *            								  *
@echo *            License Honor on your server here:				  *
@echo *            http://www.aahonor.com					  *
@echo *                                                                           *
@echo *      When you license Honor on your server, you                           *
@echo *      will be provided with a unique username and password                 *
@echo *      which will have to be included in your Honor server's                *
@echo *      configuration file (tournament.ini). The sections you will           *
@echo *      need to edit are seen below:					  *
@echo *      									  *
@echo *      [Andromeda.Andromeda]						  *
@echo *      GameServerIP= 							  *
@echo *      									  *
@echo *      (Enter IP address to send to auth server to validate		  *
@echo *      authorized mode)							  *
@echo *      									  *
@echo *      [Andromeda.AuthorizeServerRequestAdapter]				  *
@echo *      ServerAuthUsername=xxxxxxxx 					  *
@echo *      ServerAuthPassword=xxxxxxxx					  *
@echo *      									  *
@echo *      (Make sure to uncomment these 2 lines by removing 			  *
@echo *      the proceeding ';' and replacing the 'xxxxxxxx' with the 		  *
@echo *      account information provided to you by either Pragmatic	          *
@echo *      Solutions or one of the Official Honor Server providers		  *
@echo *      whom you are leasing your server from.) 				  *
@echo *      									  *
@echo *      This Auth username and password is required in order		  *
@echo *      for the Authentication Server to activate Honor gaining		  *
@echo *      mode on your Honor server. 					  *
@echo *      									  *
@echo *                                                                           *
@echo *      To enable PunkBuster on your server you need to join the server      *
@echo *      logged in as a server administrator and use the following console    *
@echo *      commands (without the quotes): "admin pb_sv_enable" or               *
@echo *      "admin pb_sv_disable". Alternatively, edit the pbsvgame.cfg file     *
@echo *      in the "System/pb" folder and use "sv_punkbuster 1" or               *
@echo *      "sv_punkbuster 0" respectively. Again, if pbsvgame.cfg is edited     *
@echo *      or changed, the server instance must be restarted for the change     *
@echo *      to take effect. If pbsvgame.cfg has not yet been created, you can    *
@echo *      just create it with notepad and just put in this one line:           *
@echo *      "sv_punkbuster 1" (without the quotes) to enable PB on your server.  *
@echo *                                                                           *
@echo *                                                                           *
@echo *****************************************************************************

server.exe LANTOURNAMENT Urban_Assault.aao log=tournament.log ini=tournament.ini
